import { isTimestampFilter } from './types';

const loadEvents = async (pool, filter) => {
  return isTimestampFilter(filter) ? await pool.loadEventsByTimestamp(filter) : await pool.loadEventsByCursor(filter);
};

export default loadEvents;
//# sourceMappingURL=load-events.js.map