"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _types = require("./types");

const loadEvents = async (pool, filter) => {
  return (0, _types.isTimestampFilter)(filter) ? await pool.loadEventsByTimestamp(filter) : await pool.loadEventsByCursor(filter);
};

var _default = loadEvents;
exports.default = _default;
//# sourceMappingURL=load-events.js.map